<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_xcovf.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_xcovf" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_xcovf</refname>
    <refpurpose>generates cross-covariance function.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [C,N,LAGS] = nan_xcovf(X,MAXLAG,SCALEOPT)
   [C,N,LAGS] = nan_xcovf(X,Y,MAXLAG,SCALEOPT)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
XCOVF is the same as XCORR except
X and Y can contain missing values encoded with NaN.
NaN's are skipped, NaN do not result in a NaN output.
The output gives NaN only if there are insufficient input data
   </para>
   <para>
[C,N,LAGS] = nan_xcovf(X,MAXLAG,SCALEOPT);
calculates the (auto-)correlation function of X
   </para>
   <para>
[C,N,LAGS] = nan_xcovf(X,Y,MAXLAG,SCALEOPT);
calculates the crosscorrelation function between X and Y
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_covm">nan_covm</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2005,2010 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt</member>
   </simplelist>
</refsection>
</refentry>
